#
# spec file for meanwhile - sametime client library
#

Name:		meanwhile
Summary:	Lotus Sametime Community Client library
License:	LGPL
Group:		Applications/Internet
Version:	0.5.0
Release:	1%{?dist}
Source:		http://dl.sf.net/meanwhile/meanwhile-%{version}.tar.gz
URL:		http://meanwhile.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel, gmp-devel, doxygen
Requires: gmp

%description
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence Awareness, Instant Messaging, Multi-user Conferencing, Preferences
Storage, Identity Resolution, and File Transfer. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as the user
directory and whiteboard and screen-sharing.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package doc
Summary: Documentation for the Meanwhile library
Group: Applications/Internet
License: GNU Free Documentation License

%description doc
Documentation for the Meanwhile library

%prep
%setup

%build
%configure --enable-doxygen
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README TODO INSTALL LICENSE NEWS
%{_libdir}/libmeanwhile.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/meanwhile/
%{_libdir}/libmeanwhile.a
%exclude %{_libdir}/libmeanwhile.la
%{_libdir}/libmeanwhile.so
%{_libdir}/pkgconfig/meanwhile.pc

%files doc
%defattr(-, root, root)
%{_datadir}/doc/%{name}-doc-%{version}/

%changelog
* Sat Oct 29 2005 - jwboyer@jdub.homelinux.org 0.5.0-1
- Update to latest release

* Wed Jun 15 2005 - jwboyer@jdub.homelinux.org 0.4.2-2
- Bump release for rebuild against latest development

* Tue May 31 2005 - jwboyer@jdub.homelinux.org 0.4.2-1
- Update to latest version
- Fix typo in last changelog

* Tue May 24 2005 - jwboyer@jdub.homelinux.org 0.4.1-2
- Updates from review comments

* Mon May 23 2005 - jwboyer@jdub.homelinux.org 0.4.1-1
- Initial package, adapted from spec file by Dag Wieers
